<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*     Use is subject to license terms.
*
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Create Tests Dialog Box</title>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>Create Tests Dialog Box</h2>
<p><small><a href="#seealso">See Also</a></small></p>
<p>This dialog box enables you to specify the options for generating unit test classes 
  and suites for existing Java classes. You open the dialog box by right-clicking 
  any Java file, package, or the Source Packages node and choosing Tools &gt; 
  Create Tests (Ctrl-Shift-U). </p>
<p>You can specify the following options in this dialog box.</p>
  <ul>
    <li><b>Class Name.</b> Specify the name for the test class. 
        By default the IDE generates a name for the test class 
        that is the fully-qualified class name appended with <i>Test</i>.</li>
    <li><b>Location.</b> Select a test package from the dropdown list.</li>
    <li><b>Framework.</b> Select a unit testing framework from the dropdown list.</li>
    <li><b>Method Access Levels.</b> Specifies which methods to generate test 
      methods for.</li>
    <li><b>Class Types.</b> Specifies which class types to generate test classes 
      for. This option is only available when generating tests for multiple classes.</li>
    <li><b>Optional Classes.</b> Specifies whether to generate a test suite or 
      whether to just generate the individual test classes. This option is only 
      available when generating tests for multiple classes.</li>
    <li><b>Generated Code.</b> Specifies whether to generate the following: 
      <ul>
        <li><b>Test Initializer.</b> Method for tasks like initializing fields, 
          enabling on logging, and resetting environment variables. </li>
        <li><b>Test Finalizer.</b> Method for cleaning up after tests have 
          finished running. </li>
        <li><b>Default Method Bodies.</b> Sample test code and for printing out information about 
          test status to the command output.</li>
      </ul>
    </li>
    <li><b>Generated Comments.</b> Specifies whether to create Javadoc comments 
      for the test methods and comments that suggest how to implement the test 
      methods.</li>
  </ul>

<p><b>Notes.</b></p>
<ul class="notes">
    <li>Depending on the version of the unit testing framework you are using,
        the name of the test class is not required to end with <i>Test</i>.</li>
    <li>You can modify the default name of the test class, but some of the 
        navigation in the IDE between classes and test classes might not function
        if the name of the test class does not contain the name of the
        class that is tested.</li>
</ul>

<dl>
  <dt><a name="seealso">See Also</a></dt>
  <dd><a href="junit_creatingtests.html">Creating a Unit Test</a></dd>
  <dd><a href="junit_runningtests.html">Running a Unit Test</a></dd>
  <dd><a href="junit_about.html">About Unit Testing</a></dd>
</dl>
<hr>
<small><a href="../credits.html">Legal Notices</a></small>
<table border="0" cellpadding="50">
  <tr><td>&nbsp;</td></tr>
</table>
</body>
</html>
